.form-input-container {
    @apply relative;
}

.form-input {
    @apply bg-transparent h-12 appearance-none border-0 border-b-2 border-neutral-300 rounded-none w-full p-0 text-neutral-100 leading-tight transition-all transition-fast;

    &:focus {
        @apply outline-none shadow-none;
    }
}

.form-input-primary {
    @apply transition-all transition-fast;
    &:focus {
        @apply border-primary-500;
    }
}

.form-input-label {
    @apply text-neutral-200;
    position: absolute !important;
    pointer-events: none !important;
    transform-origin: top left;
    transform: translate(0, -40px) scale(1);
    transition: color 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms, transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms;
}

.form-input-label-focus {
    @apply text-neutral-200;
    transform: translate(0, -65px) scale(0.75);
    transform-origin: top left;
}

.form-input:focus + .form-input-label, .form-input:not(:placeholder-shown) + .form-input-label {
    @apply form-input-label-focus;
    transform: translate(0, -65px) scale(0.75);
    transform-origin: top left;
}
